//+------------------------------------------------------------------+
//|                                                 HILOW Colour.mq4 |
//|                      Copyright  2006, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"
#property link      "cja"
#property indicator_chart_window
#define DFRAME "DAYFRAME"
extern color HLcolour = C'10,50,70';
extern int D = 0; //How many days back /0 = curr day/ 1 = yesterday/ 2= 2days ago
extern int B = 0; //Today = 0/ yesterday = 1 / 2days ago = 2 
//+------------------------------------------------------------------+
//| Define the Variables to use.....                                 |
//+------------------------------------------------------------------+
int shift=0;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   return(0);
  }
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- TODO: add your code here
  ObjectsDeleteAll();  
//----
   return(0);
  
}
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
 {
CreateHL();
}
void CreateObj(string objName2, double start, double end, color clr)
  {
   ObjectCreate(objName2, OBJ_RECTANGLE, 0, iTime(NULL,PERIOD_D1,D), start, Time[0], end);
   ObjectSet(objName2, OBJPROP_COLOR, clr);
    }
   void DeleteObjects()
   {
   ObjectDelete(DFRAME);
   }
   void CreateHL()
   {
   DeleteObjects(); 
  
  double HiDAILY = iMA(Symbol(),PERIOD_D1,1,0,MODE_HIGH,PRICE_HIGH,B);
  double LoDAILY = iMA(Symbol(),PERIOD_D1,1,0,MODE_LOW,PRICE_LOW,B); 
 
  CreateObj(DFRAME, HiDAILY, LoDAILY, HLcolour);
   
}
return(0);

 

//+------------------------------------------------------------------+